<template>
  <b-menu>
    <div>
      <!--
      <b-menu-list label="Verified">
        <b-checkbox v-model="verifiedOnly" @input="changeTag">Verified models only</b-checkbox>
      </b-menu-list>
      -->
      <b-menu-list v-for="category in tags" v-bind:key="category.name" :label="category.name">
        <b-field v-for="tag in category.tags" v-bind:key="tag.name">
          <b-checkbox
          :native-value="tag.name"
          v-model="checkboxGroup"
          @input="changeTag">{{tag.name}}</b-checkbox>
        </b-field>
      </b-menu-list>
    </div>
  </b-menu>
</template>

<script>
export default {
  name: 'Filters',
  props: ['tags'],
  data () {
    return {
      checkboxGroup: [],
      verifiedOnly: false
    }
  },
  methods: {
    changeTag () {
      this.$emit('setTags', this.checkboxGroup, this.verifiedOnly)
    }
  }
}
</script>

<style scoped>
.menu {
  margin: 15px;
}
</style>
